Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Attributes | List of all members
eZ\Publish\Core\MVC\Symfony\Security\Authentication\AnonymousAuthenticationProvider Class Reference
Inheritance diagram for eZ\Publish\Core\MVC\Symfony\Security\Authentication\AnonymousAuthenticationProvider:

## Public Member Functions
| setRepository (Repository $repository)
| setConfigResolver (ConfigResolverInterface $configResolver)
| authenticate (TokenInterface $token)

## Private Attributes
| $repository
| $configResolver

## Detailed Description

Definition at line 15 of file AnonymousAuthenticationProvider.php.

## Member Function Documentation

## ◆ authenticate()

eZ\Publish\Core\MVC\Symfony\Security\Authentication\AnonymousAuthenticationProvider::authenticate | ( | TokenInterface | $token | ) |

Definition at line 33 of file AnonymousAuthenticationProvider.php.

## ◆ setConfigResolver()

eZ\Publish\Core\MVC\Symfony\Security\Authentication\AnonymousAuthenticationProvider::setConfigResolver | ( | ConfigResolverInterface | $configResolver | ) |

Definition at line 28 of file AnonymousAuthenticationProvider.php.

References eZ\Publish\Core\MVC\Symfony\Security\Authentication\AnonymousAuthenticationProvider\$configResolver.

## ◆ setRepository()

eZ\Publish\Core\MVC\Symfony\Security\Authentication\AnonymousAuthenticationProvider::setRepository | ( | Repository | $repository | ) |

Definition at line 23 of file AnonymousAuthenticationProvider.php.

References eZ\Publish\Core\MVC\Symfony\Security\Authentication\AnonymousAuthenticationProvider\$repository.

## Member Data Documentation

## ◆ $configResolver

eZ\Publish\Core\MVC\Symfony\Security\Authentication\AnonymousAuthenticationProvider::$configResolver
| private

Definition at line 21 of file AnonymousAuthenticationProvider.php.

Referenced by eZ\Publish\Core\MVC\Symfony\Security\Authentication\AnonymousAuthenticationProvider\setConfigResolver().

## ◆ $repository

eZ\Publish\Core\MVC\Symfony\Security\Authentication\AnonymousAuthenticationProvider::$repository
| private

Definition at line 18 of file AnonymousAuthenticationProvider.php.

Referenced by eZ\Publish\Core\MVC\Symfony\Security\Authentication\AnonymousAuthenticationProvider\setRepository().

The documentation for this class was generated from the following file:

- AnonymousAuthenticationProvider.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.